
// Initial values for animations

$anim-states: enter-active, enter-to, enter, leave-active, leave-to, leave;

.fade-enter-active,
.flip-enter-active {
  opacity: 0;
}

.height-enter-active:not([data-anim]),
.pop-enter-active:not([data-anim]) {
  overflow: hidden;
  height: 0px !important;
  padding-top: 0px !important;
  padding-bottom: 0px !important;
}
.width-enter-active:not([data-anim]) {
  overflow: hidden;
  width: 0px !important;
  padding-right: 0px !important;
  padding-left: 0px !important;
}

@each $state in $anim-states {
  .height-#{$state} { overflow: hidden; }
  .width-#{$state} { overflow: hidden; }
}
